#version 410 core
in vec2 vUV;
in float vAlpha;
out vec4 FragColor;
void main() {
    float r = length(vUV);
    float a = (1.0 - smoothstep(0.45, 1.0, r)) * vAlpha;
    FragColor = vec4(0.0, 0.0, 0.0, a * 0.5);
}
